package com.DevAsh.policy_controller;

import 	android.content.Intent;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import 	android.app.Activity;
import android.content.pm.PackageManager;

/** PolicyControllerPlugin */
public class PolicyControllerPlugin implements MethodCallHandler {
  /** Plugin registration. */
  Activity provisioningActivity;
  PolicyControllerPlugin(Activity activity){
    provisioningActivity = activity;
  }


  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "policy_controller");
    channel.setMethodCallHandler(new PolicyControllerPlugin(registrar.activity()));
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if (call.method.equals("setup")) {
      PackageManager pm = provisioningActivity.getPackageManager();
      if (!pm.hasSystemFeature(PackageManager.FEATURE_MANAGED_USERS)) {
                            System.out.println("x");
      }
      else{
             System.out.println("xxx");
      }




      int REQUEST_PROVISION_MANAGED_PROFILE=1000;
      // You'll need the package name for the DPC app.
      String myDPCPackageName = "com.DevAsh.policy_controller_example";
      // Set up the provisioning intent
      Intent provisioningIntent =new Intent("android.app.action.PROVISION_MANAGED_PROFILE");
      provisioningIntent.putExtra(myDPCPackageName,provisioningActivity.getApplicationContext().getPackageName());

      if (provisioningIntent.resolveActivity(provisioningActivity.getPackageManager())
               == null) {
                 System.out.println("x");
          // No handler for intent! Can't provision this device.
          // Show an error message and cancel.
      } else {
          // REQUEST_PROVISION_MANAGED_PROFILE is defined
          
          // to be a suitable request code
          provisioningActivity.startActivityForResult(provisioningIntent,1);
          provisioningActivity.finish();
      }
      
      
    } else {
      result.notImplemented();
    }
  }
}
