import 'dart:async';

import 'package:flutter/services.dart';

class PolicyController {
  static const MethodChannel _channel =
      const MethodChannel('policy_controller');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  static Future<String> setup() async {
    final String version = await _channel.invokeMethod("setup");
    return version;
  }
}
